# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ libann-devel libsowing-devel perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm) perl(XSLoader.pm) perl(ExtUtils/XSpp/Cmd.pm)
# END SourceDeps(oneline)
%define module_version 0.01001
%define module_name Algorithm-KNN-XS
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01001
Release: alt7
Summary: A class that performs a fast KNN search
Group: Development/Perl
License: lgpl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/N/NE/NEIKON/%{module_name}-%{module_version}.tar.gz

%description
A class interface todo a fast k nearest neighbor search using libANN via XS.

The XS Module automatically creates the namespace
Algorithm::KNN::XS::LibANNInterface.

More information about libANN can be found with the following links.

libANN main page: http://www.cs.umd.edu/~mount/ANN/
libANN manual: http://www.cs.umd.edu/~mount/ANN/Files/1.1.2/ANNmanual_1.1.pdf

If you want to use another Minkowski distance metric than "Euclidean" you must
compile another libANN library with the correct options before building this
Module. Possible other distances are "Manhatten" and "Max".


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_archlib/A*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.01001-alt7
- rebuild with perl 5.38

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 0.01001-alt6
- rebuild with perl 5.34.0

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 0.01001-alt5.1
- rebuild with perl 5.30

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 0.01001-alt4.1
- rebuild with perl 5.28.1

* Mon Dec 18 2017 Igor Vlasenko <viy@altlinux.ru> 0.01001-alt4
- rebuild with perl 5.26

* Sun Feb 12 2017 Cronbuild Service <cronbuild@altlinux.org> 0.01001-alt3
- rebuild to get rid of unmets

* Fri Nov 27 2015 Igor Vlasenko <viy@altlinux.ru> 0.01001-alt2.1
- rebuild with perl 5.22

* Sat Dec 13 2014 Cronbuild Service <cronbuild@altlinux.org> 0.01001-alt2
- rebuild to get rid of unmets

* Mon May 26 2014 Igor Vlasenko <viy@altlinux.ru> 0.01001-alt1
- initial import by package builder

